#include<cstdio>
#include<vector>
#include<algorithm>
#include<iostream>
using namespace std;

int main()
{
  freopen("math.in", "r", stdin);
  freopen("math.out", "w", stdout);
  cout << 0 << endl;
  return 0;
}

